package com.persagy.service;

import org.quartz.JobDataMap;
import org.quartz.SchedulerException;

import java.util.Date;

/**
 * @description:报警定时任务接口
 * @author:LuoGuangyi
 * @company:PersagyTechnologyCo.,Ltd
 * @since:2020/10/21 002118:58
 * @version:V1.0
 **/
public interface AlarmQuartzService {
    void initAlarmMessagehandler();

    String addExpireJob(Date startTime, String jobName, String jobGroupName, JobDataMap jobDataMap) throws SchedulerException;

    String deleteExpireJob(String jobName, String jobGroupName) throws SchedulerException;
}
